#pragma once
#include <stdint.h>

namespace mini
{
    namespace win
    {
        struct state_t {
            char        title[256];
            uint16_t    width           { 160   };
            uint16_t    height          { 120   };
            uint8_t     zoom            { 4     };
            bool        fullscreen      { false };
            bool        cursor          { true  };
        };
        extern state_t state;

        void init();
        void quit();
        void raise();

        namespace zoom {
            void set(const int value);
            int get();
        }

        namespace fullscreen {
            void set(const bool value);
            bool get();
        }

        namespace cursor {
            void set(const bool value);
            bool get();
        }

        namespace res {
            void set(const int w, const int h);
            int getw();
            int geth();
        }
    }
}
